package w83b.w83bManager;

import java.util.HashMap;
import java.util.List;

import w83b.w83bBeans.W83bCitacionBean;
import w83b.w83bBeans.W83bImpugnacionBean;
import w83b.w83bBeans.W83bSindicatosBean;

public interface W83bICitaciones {

	public java.util.List buscarCitaciones(w83b.w83bBeans.W83bCitacionBean param) throws Exception;	
	public java.lang.Integer contarCitaciones(w83b.w83bBeans.W83bCitacionBean param) throws Exception;
	public W83bCitacionBean anyadirCitaciones(W83bCitacionBean param) throws Exception;
	public W83bCitacionBean obtenerDetallesImpugnacion(HashMap param) throws Exception;	
	public W83bImpugnacionBean cargarDatosImpugnacion(HashMap mapaResultado) throws Exception;
	public W83bSindicatosBean cargarDatosSindicatos(String codigo) throws Exception;
	public W83bImpugnacionBean cargarDatosImpugnacionEdicion(HashMap mapaResultado) throws Exception;
	public boolean existeImpugnacion(W83bCitacionBean param) throws Exception;
	public String edicionCitaciones(W83bCitacionBean param) throws Exception;
	public String borrarCitaciones(List param) throws Exception;
	public boolean existeCitacion(W83bCitacionBean param) throws Exception;
	public W83bCitacionBean obtenerDetallesCitacion(HashMap param)throws Exception;
	public HashMap obtenerDetallesComunicacionCitacion(HashMap param)throws Exception;
	public List obtenerCitas(HashMap param)throws Exception;
	public HashMap obtenerDetallesAcuseCitacion(HashMap param)throws Exception;
	public String guardarComunicacionCitacion(HashMap param)throws Exception;
}
